Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Locations

List Locations

GET
/v1/locations

Returns a paginated list of locations.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

key?string

Stable key used to identify the resource.

key[in]?string

Filters by any of the supplied key values.

is_default?boolean

Whether the resource is default.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/locations"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "key": "string",      "name": "string",      "external_id": "string",      "is_default": true,      "address_line": "string",      "street": "string",      "postal_code": "string",      "city": "string",      "region": "string",      "iso_country": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}